Skip to main content
GET
/
api
/
organization
/
{organization_uid}
/
invoices
/
filter-options
Get invoice filter options
curl --request GET \
  --url https://dev.exante.app/api/organization/{organization_uid}/invoices/filter-options \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "status_code": 200,
  "message": "Success",
  "data": {
    "statuses": [
      "<string>"
    ],
    "collection_methods": [
      "<string>"
    ],
    "date_range": {
      "min": "2023-11-07T05:31:56Z",
      "max": "2023-11-07T05:31:56Z",
      "due_date": {
        "min": "2023-11-07T05:31:56Z",
        "max": "2023-11-07T05:31:56Z"
      },
      "issue_date": {
        "min": "2023-11-07T05:31:56Z",
        "max": "2023-11-07T05:31:56Z"
      },
      "paid_date": {
        "min": "2023-11-07T05:31:56Z",
        "max": "2023-11-07T05:31:56Z"
      }
    },
    "total": {
      "min": 123,
      "max": 123
    },
    "overdue_days": {
      "min": 123,
      "max": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_uid
string<uuid>
required

Organization UID

Response

Invoice filter options

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
Example:

"Success"

data
object